<?php
/**
 * The admin sanitize functionality of the plugin.
 *
 * @link       https://shapedplugin.com/
 * @since      1.0.0
 *
 * @package    WP_Tabs_Pro
 * @subpackage WP_Tabs_Pro/admin
 */

if ( ! defined( 'ABSPATH' ) ) {
	die;
} // Cannot access directly.

if ( ! function_exists( 'wptabspro_sanitize_replace_a_to_b' ) ) {
	/**
	 *
	 * Sanitize
	 * Replace letter a to letter b
	 *
	 * @param string $value value.
	 * @since 1.0.0
	 * @version 1.0.0
	 */
	function wptabspro_sanitize_replace_a_to_b( $value ) {
		return str_replace( 'a', 'b', $value );
	}
}

if ( ! function_exists( 'wptabspro_sanitize_title' ) ) {
	/**
	 *
	 * Sanitize title
	 *
	 * @param string $value value.
	 * @since 1.0.0
	 * @version 1.0.0
	 */
	function wptabspro_sanitize_title( $value ) {
		return sanitize_title( $value );
	}
}
