<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://shapedplugin.com/
 * @since      1.0.0
 *
 * @package    WP_Tabs_Pro
 * @subpackage WP_Tabs_Pro/admin/partials
 */

?>
<!-- Help Page -->
<div class="wrap about-wrap sp-tab__help">
	<h1><?php esc_html_e( 'Welcome to WP Tabs Pro!', 'wp-tabs-pro' ); ?></h1>
	<p class="about-text"><span class="text">
		<?php
			esc_html_e( 'Thank you for installing WP Tabs Pro! You\'re now running the most popular WordPress Tabs Premium plugin. This video will help you get started with the plugin.', 'wp-tabs-pro' );
		?>
	</p>
	<div class="headline-feature-video">
	<div class="headline-feature feature-video">
		<iframe width="560" height="315" src="https://www.youtube.com/embed/videoseries?list=PLoUb-7uG-5jPIKWZSzW54Dwoxx0K9I6js" frameborder="0" allowfullscreen></iframe>
	</div>
	</div>
	<div class="feature-section three-col">
		<div class="col">
			<div class="sp-tab__feature sp-tab__text-center">
				<h3><i class="sp-font fa fa-file-text"></i>
				<?php esc_html_e( 'Documentation', 'wp-tabs-pro' ); ?></h3>
				<p><?php esc_html_e( 'Check out our documentation page and more information about what you can do with WP Tabs Pro.', 'wp-tabs-pro' ); ?></p>
				<a href="https://docs.shapedplugin.com/docs/wp-tabs-pro/overview/" target="_blank" class="button button-primary">
					<?php esc_html_e( 'Browse Docs', 'wp-tabs-pro' ); ?>
				</a>
			</div>
		</div>
		<div class="col">
			<div class="sp-tab__feature sp-tab__text-center">	
				<h3><i class="sp-font fa fa-envelope" aria-hidden="true"></i>
				<?php esc_html_e( 'Email Support', 'wp-tabs-pro' ); ?></h3>
				<p><?php esc_html_e( "Need one-to-one assistance? Get in touch with our top-notch support team! We'd love to help you immediately.", 'wp-tabs-pro' ); ?></p>
				<a href="https://shapedplugin.com/support/" target="_blank" class="button button-primary">
					<?php esc_html_e( 'Get Support', 'wp-tabs-pro' ); ?>
				</a>
			</div>
		</div>
		<div class="col">
			<div class="sp-tab__feature sp-tab__text-center">
				<h3><i class="sp-font fa fa-file-video-o" aria-hidden="true"></i>
				<?php esc_html_e( 'Video Tutorials', 'wp-tabs-pro' ); ?></h3>
				<p><?php esc_html_e( 'Check our video tutorials which cover everything you need to know about WP Tabs Pro.', 'wp-tabs-pro' ); ?></p>
				<a href="https://www.youtube.com/watch?v=B9QUvJNmvqo&list=PLoUb-7uG-5jPIKWZSzW54Dwoxx0K9I6js&ab_channel=ShapedPlugin" target="_blank" class="button button-primary">
					<?php esc_html_e( 'Watch Now', 'wp-tabs-pro' ); ?>
				</a>
			</div>
		</div>
	</div>
	<div class="plugin-section">
		<div class="sp-plugin-section-title">
			<h2><?php esc_html_e( 'Take your website beyond the typical with more WordPress plugins!', 'wp-tabs-pro' ); ?></h2>
			<h4><?php esc_html_e( 'Some of our powerful premium plugins are ready to make your website awesome.', 'wp-tabs-pro' ); ?></h4>
		</div>
		<div class="feature-section first-cols three-col">
				<div class="col">
					<a href="https://shapedplugin.com/wp-team/?ref=1" target="_blank" alt="WP Team" class="sp-tab__plugin-link">
						<div class="sp-tab__feature ">
						<img src="https://shapedplugin.com/wp-content/uploads/edd/2022/08/wp-team.png" alt="WP Team" class="sp-tab__help-img">
						<h3><?php esc_html_e( 'WP Team', 'wp-tabs-pro' ); ?></h3>
						<p><?php esc_html_e( 'Display your team members smartly who are at the heart of your company or organization!', 'wp-tabs-pro' ); ?></p>
					</div>
					</a>
				</div>
				<div class="col">
					<a href="https://shapedplugin.com/wp-carousel/?ref=1" alt="WP Carousel" target="_blank" class="sp-tab__plugin-link">
						<div class="sp-tab__feature ">
						<img src="https://shapedplugin.com/wp-content/uploads/edd/2022/08/wp-carousel.png" alt="WP Carousel" class="sp-tab__help-img">
						<h3><?php esc_html_e( 'WP Carousel', 'wp-tabs-pro' ); ?></h3>
						<p><?php esc_html_e( 'The most powerful and user-friendly multi-purpose carousel, slider, & gallery plugin for WordPress.', 'wp-tabs-pro' ); ?></p>
					</div>
					</a>
				</div>
				<div class="col">
					<a href="https://shapedplugin.com/easy-accordion/?ref=1" target="_blank" alt="Easy Accordion" class="sp-tab__plugin-link">
						<div class="sp-tab__feature ">
						<img src="https://shapedplugin.com/wp-content/uploads/edd/2022/08/easy-accordion.png" alt="Easy Accordion" class="sp-tab__help-img">
						<h3><?php esc_html_e( 'Easy Accordion', 'wp-tabs-pro' ); ?></h3>
						<p><?php esc_html_e( 'Minimize customer support by offering comprehensive FAQs and increasing conversions.', 'wp-tabs-pro' ); ?></p>
					</div>
					</a>
				</div>
			</div>
			<div class="feature-section three-col">
				<div class="col">
					<a href="https://shapedplugin.com/woocommerce-product-slider/?ref=1" alt="Product Slider for WooCommerce" target="_blank" class="sp-tab__plugin-link">
						<div class="sp-tab__feature ">
						<img src="https://shapedplugin.com/wp-content/uploads/edd/2022/08/woo-product-slider.png" alt="Product Slider for WooCommerce" class="sp-tab__help-img">
						<h3><?php esc_html_e( 'Product Slider for WooCommerce', 'wp-tabs-pro' ); ?></h3>
						<p><?php esc_html_e( 'Boost sales by interactive product Slider, Grid, and Table in your WooCommerce website or store.', 'wp-tabs-pro' ); ?></p>
					</div>
					</a>
				</div>
				<div class="col">
					<a href="https://shapedplugin.com/plugin/woocommerce-gallery-slider-pro/?ref=1" target="_blank" alt="Gallery Slider for WooCommerce" class="sp-tab__plugin-link">
						<div class="sp-tab__feature ">
						<img src="https://shapedplugin.com/wp-content/uploads/edd/2022/08/gallery-slider-for-woocommerce.png" alt="Gallery Slider for WooCommerce" class="sp-tab__help-img">
						<h3><?php esc_html_e( 'Gallery Slider for WooCommerce', 'wp-tabs-pro' ); ?></h3>
						<p><?php esc_html_e( 'Product gallery slider and additional variation images gallery for WooCommerce and boost your sales.', 'wp-tabs-pro' ); ?></p>
					</div>
					</a>
				</div>
				<div class="col">
				<a href="https://smartpostshow.com/?ref=1" alt="Smart Post Show" target="_blank" class="sp-tab__plugin-link" >
						<div class="sp-tab__feature ">
						<img src="https://shapedplugin.com/wp-content/uploads/edd/2022/08/smart-post-show.png" alt="Smart Post Show" class="sp-tab__help-img">
						<h3><?php esc_html_e( 'Smart Post Show', 'wp-tabs-pro' ); ?></h3>
						<p><?php esc_html_e( 'Filter and display posts (any post types), pages, taxonomy, custom taxonomy, and custom field, in beautiful layouts.', 'wp-tabs-pro' ); ?></p>
					</div>
					</a>
				</div>
			</div>
	</div>
</div>
