<?php
/**
 * Update version.
 */
update_option( 'wp_tabs_pro_version', '2.2.0' );
update_option( 'wp_tabs_pro_db_version', '2.2.0' );


$args          = new WP_Query(
	array(
		'post_type'      => 'sp_wp_tabs',
		'post_status'    => 'any',
		'posts_per_page' => '300',
	)
);
$shortcode_ids = wp_list_pluck( $args->posts, 'ID' );

if ( count( $shortcode_ids ) > 0 ) {
	foreach ( $shortcode_ids as $key => $shortcode_id ) {
		$sptpro_shortcode_options = get_post_meta( $shortcode_id, 'sp_tab_shortcode_options', true );
		if ( ! is_array( $sptpro_shortcode_options ) ) {
			continue;
		}
		$sptpro_tabs_layout         = isset( $sptpro_shortcode_options['sptpro_tabs_layout'] ) ? $sptpro_shortcode_options['sptpro_tabs_layout'] : '';
		$sptpro_tabs_scrollable_old = isset( $sptpro_shortcode_options['sptpro_tabs_scrollable'] ) ? $sptpro_shortcode_options['sptpro_tabs_scrollable'] : false;


		$sptpro_tabs_position_old          = isset( $sptpro_shortcode_options['sptpro_tabs_position'] ) ? $sptpro_shortcode_options['sptpro_tabs_position'] : '';
		$sptpro_tabs_vertical_position_old = isset( $sptpro_shortcode_options['sptpro_tabs_vertical_position'] ) ? $sptpro_shortcode_options['sptpro_tabs_vertical_position'] : '';

		if ( $sptpro_tabs_scrollable_old ) {
			// Set Tab Layout.
			$sptpro_shortcode_options['sptpro_tabs_layout'] = 'tabs-carousel';
			// Set Carousel Alignment.
			if ( 'horizontal' === $sptpro_tabs_layout ) {
				if ( 'tab-position-top' === $sptpro_tabs_position_old ) {
					$sptpro_shortcode_options['sptpro_tabs_carousel_alignment'] = 'carousel-horizontal-top';
				} elseif ( 'tab-position-bottom' === $sptpro_tabs_position_old ) {
					$sptpro_shortcode_options['sptpro_tabs_carousel_alignment'] = 'carousel-horizontal-bottom';
				}
			} elseif ( 'vertical' === $sptpro_tabs_layout ) {
				if ( 'tab-position-vertical-left' === $sptpro_tabs_vertical_position_old ) {
					$sptpro_shortcode_options['sptpro_tabs_carousel_alignment'] = 'carousel-vertical-left';
				} elseif ( 'tab-position-vertical-right' === $sptpro_tabs_vertical_position_old ) {
					$sptpro_shortcode_options['sptpro_tabs_carousel_alignment'] = 'carousel-vertical-right';
				}
			}
		} elseif ( ! $sptpro_tabs_scrollable_old ) {
			// Set Tab Layout.
			if ( 'horizontal' === $sptpro_tabs_layout && 'tab-position-bottom' === $sptpro_tabs_position_old ) {
				$sptpro_shortcode_options['sptpro_tabs_layout'] = 'horizontal-bottom';
			}
			if ( 'vertical' === $sptpro_tabs_layout && 'tab-position-vertical-right' === $sptpro_tabs_vertical_position_old ) {
				$sptpro_shortcode_options['sptpro_tabs_layout'] = 'vertical-right';
			}
		}

		// Tabs' icons position in vertical layout.
		$sptpro_tab_icon_position = isset( $sptpro_shortcode_options['sptpro_tab_icon_position'] ) ? $sptpro_shortcode_options['sptpro_tab_icon_position'] : '';
		if ( 'vertical' === $sptpro_tabs_layout ) {
			switch ( $sptpro_tab_icon_position ) {
				case 'tab-icon-position-left':
					$sptpro_shortcode_options['sptpro_tab_icon_position_vertical'] = 'vertical-tab-icon-position-left';
					break;
				case 'tab-icon-position-top':
					$sptpro_shortcode_options['sptpro_tab_icon_position_vertical'] = 'vertical-tab-icon-position-top';
					break;
				case 'tab-icon-position-right':
					$sptpro_shortcode_options['sptpro_tab_icon_position_vertical'] = 'vertical-tab-icon-position-right';
					break;
			}
		}

		// Border Radius around tabs.
		$sptpro_tab_border_radius_old = isset( $sptpro_shortcode_options['sptpro_tab_border_radius']['all'] ) ? $sptpro_shortcode_options['sptpro_tab_border_radius']['all'] : '';
		if ( isset( $sptpro_shortcode_options['sptpro_tabs_border'] ) ) {
			$sptpro_shortcode_options['sptpro_tabs_border']['border_radius'] = $sptpro_tab_border_radius_old;
		}

		// Top line border of active tabs.
		$sptpro_active_top_line = isset( $sptpro_shortcode_options['sptpro_active_top_line'] ) ? $sptpro_shortcode_options['sptpro_active_top_line'] : false;

		$sptpro_shortcode_options['sptpro_active_tab_style_horizontal'] = 'horizontal-active-tab-normal';
		$sptpro_shortcode_options['sptpro_active_tab_style_vertical']   = 'vertical-active-tab-normal';
		if ( $sptpro_active_top_line ) {
			$sptpro_shortcode_options['sptpro_active_tab_style_horizontal'] = 'horizontal-active-tab-top-line';
			if ( isset( $sptpro_shortcode_options['sptpro_tabs_layout'] ) && 'horizontal-bottom' === $sptpro_shortcode_options['sptpro_tabs_layout'] ) {
				$sptpro_shortcode_options['sptpro_active_tab_style_horizontal'] = 'horizontal-active-tab-bottom-line';
			}
			$sptpro_shortcode_options['sptpro_active_tab_style_vertical'] = 'vertical-active-tab-left-line';
			if ( isset( $sptpro_shortcode_options['sptpro_tabs_layout'] ) && 'vertical-right' === $sptpro_shortcode_options['sptpro_tabs_layout'] ) {
				$sptpro_shortcode_options['sptpro_active_tab_style_vertical'] = 'vertical-active-tab-right-line';
			}
		}

		// Left border elements of Top line.
		$sptpro_active_top_border_elements = isset( $sptpro_shortcode_options['sptpro_active_top_border_elements'] ) ? $sptpro_shortcode_options['sptpro_active_top_border_elements'] : '';
		if ( $sptpro_active_top_border_elements ) {
			$sptpro_shortcode_options['sptpro_active_left_border_elements'] = $sptpro_active_top_border_elements;
		}

		// Flat tabs style.
		$sptpro_shortcode_options['sptpro_flat_tab_style_horizontal'] = 'horizontal-flat-tab-normal';
		$sptpro_shortcode_options['sptpro_flat_tab_style_vertical']   = 'vertical-flat-tab-normal';

		$sptpro_tab_flat_style = isset( $sptpro_shortcode_options['sptpro_tab_flat_style'] ) ? $sptpro_shortcode_options['sptpro_tab_flat_style'] : false;
		if ( $sptpro_tab_flat_style ) {
			if ( isset( $sptpro_shortcode_options['sptpro_flat_tab_style_horizontal'] ) ) {
				$sptpro_shortcode_options['sptpro_flat_tab_style_horizontal'] = 'horizontal-flat-tab-underline';
			}
			if ( isset( $sptpro_shortcode_options['sptpro_flat_tab_style_vertical'] ) ) {
				$sptpro_shortcode_options['sptpro_flat_tab_style_vertical'] = 'vertical-flat-tab-underline';
			}
		}

		// Margin bottom from the section title.
		$sptpro_section_title_margin_bottom_old = isset( $sptpro_shortcode_options['sptpro_section_title_margin_bottom']['all'] ) ? $sptpro_shortcode_options['sptpro_section_title_margin_bottom']['all'] : '';
		if ( isset( $sptpro_shortcode_options['sptpro_section_title_typo'] ) ) {
			$sptpro_shortcode_options['sptpro_section_title_typo']['margin-bottom'] = $sptpro_section_title_margin_bottom_old;
		}

		// Scrollable tabs.
		if ( $sptpro_tabs_scrollable_old && isset( $sptpro_shortcode_options['sptpro_tabs_layout'] ) ) {
			// Arrow Color and Hover Color.
			$sptpro_scroll_tab_icon_color_old                            = ! empty( $sptpro_shortcode_options['sptpro_scroll_tab_icon_color'] ) && is_array( $sptpro_shortcode_options['sptpro_scroll_tab_icon_color'] ) ? $sptpro_shortcode_options['sptpro_scroll_tab_icon_color'] : array(
				'arrow_color' => '#444',
				'hover_color' => '#444',
			);
			$sptpro_shortcode_options['sptpro_tabs_carousel_navigation'] = array(
				'tabs_navigation_styles'       => 'chevron',
				'tabs_navigation_icons_size'   => array(
					'all' => '20',
				),
				'sptpro_scroll_tab_icon_color' => $sptpro_scroll_tab_icon_color_old,
			);
		}
		update_post_meta( $shortcode_id, 'sp_tab_shortcode_options', $sptpro_shortcode_options );
	}
}
