(function ($) {
	'use strict';

	$(document).ready(function () {
		$('div[id^="sp-tabpro-wrapper_"]').each(function () {
			var _this = $(this),
				tabsID = _this.attr('id'),
				preloader = $('#' + tabsID).data('preloader'),
				activemode = $('#' + tabsID).data('activemode'),
				autoplaytime = $('#' + tabsID).data('autoplaytime'),
				pause_on_hover = $('#' + tabsID).data('pause_on_hover'),
				valignfill = $('#' + tabsID).data('valignfill'),
				hush_url = $('#' + tabsID).data('hush_url'),
				animate_scroll_top = $('#' + tabsID).data('animate_scroll_top'),
				tab_resize = $('#' + tabsID).data('tab_resize_event'),
				enable_scrollable_tabs = $('#' + tabsID + ' .sp-tab__nav').hasClass('sp-tab__nav-tabs-scrollable');

			// Preloader
			if (preloader) {
				$(document).ready(function () {
					$(".sp-tab__preloader", '#' + tabsID).fadeOut();
				});
			}

			// For nested scrollable tab, add a class to fix the issue of nested scrollable tab.
			$('#' + tabsID + ' > .sp-tab__tab-content > .sp-tab__tab-pane').each(function(){
				if( $(this).find('.sp-tab__nav-tabs-scrollable').length > 0 ) {
					$(this).addClass('has-tabs-scrollable');
				}
			});

			// WP Tabs scrollable tabs.
			if (enable_scrollable_tabs) {
				var vertical_tabs = $('#' + tabsID).hasClass('tab-layout-vertical') ? true : false,
				variableWidth = !vertical_tabs ? $('#' + tabsID + ' > .sp-tab__nav').data('variable_width') : false;

				$('#' + tabsID + '> .sp-tab__nav-link').on('click', function () {
					$(this).find('sp-tab__active').removeClass('sp-tab__active').next().addClass('sp-tab__active');
				});

				if (vertical_tabs) {
					var slick_item_width = 0;

					$('#' + tabsID + ' > .sp-tab__nav .sp-tab__nav-item').each(function (i, item) {
						if (slick_item_width < $(item).width()) {
							slick_item_width = $(item).width()
						}
					});

					$('#' + tabsID + ' > .sp-tab__nav').css('maxWidth', slick_item_width + 'px');
					$('#' + tabsID + ' > .sp-tab__tab-content').css('maxWidth', 'calc( 100% - ' + slick_item_width + 'px )');
				}

				// Slick for scrollable tabs.
				if ('slick' in $.fn && typeof $.fn.slick === 'function') {
					// On init of slick, add class sp-tab_slide_active.
					$('#' + tabsID + '> .sp-tab__nav-tabs-scrollable:not(.slick-initialized)').on('init', function(event, slick, direction){
						$('#' + tabsID + ' > .sp-tab__nav-tabs-scrollable .sp-tab__active').parents('.sp-tab__nav-item').addClass('sp-tab_slide_active');

						add_arrow_before(tabsID);
					});

					$('#' + tabsID + '> .sp-tab__nav-tabs-scrollable:not(.slick-initialized)').slick({
						vertical: vertical_tabs,
						cssEase: 'cubic-bezier(0.645, 0.045, 0.355, 1.000)',
						variableWidth: variableWidth,
						draggable: false,
						// centerMode: true,
					});
					
					// Set tab Position on click of nav arrow.
					$(document).on('click', '#' + tabsID + ' > .sp-tab__nav-tabs-scrollable > .slick-arrow:not(.arrow-disabled), #' + tabsID + ' > .sp-tab__nav-tabs-scrollable > .next-before, #' + tabsID + ' > .sp-tab__nav-tabs-scrollable > .prev-before', function (e) {
						$('#' + tabsID + ' > .sp-tab__nav-tabs-scrollable .slick-arrow').removeClass('arrow-disabled');
						if ( $(this).hasClass('slick-disabled') ){
							$(this).addClass('arrow-disabled');
						}

						var tab_slide_active = $('#' + tabsID + ' > .sp-tab__nav-tabs-scrollable li.sp-tab_slide_active');
						var currentIndex = tab_slide_active.data('slick-index');
						var nextIndex = currentIndex + 1;
						if( $(this).hasClass('prev-before') || $(this).hasClass('slick-prev') ){
							nextIndex = currentIndex - 1; 
						}
						
						if ( $('#' + tabsID + ' > .sp-tab__nav-tabs-scrollable li[data-slick-index="' + nextIndex + '"]').length > 0  ){
							e.preventDefault;
							
							$('#' + tabsID + ' > .sp-tab__nav-tabs-scrollable li').removeClass('sp-tab_slide_active').find('.sp-tab__nav-link').removeClass('sp-tab__active');

							$('#' + tabsID + ' > .sp-tab__nav-tabs-scrollable li[data-slick-index="' + nextIndex + '"]').addClass('sp-tab_slide_active').children('.sp-tab__nav-link').addClass('sp-tab__active');

							setTimeout(function(){
								// If cloned active item is not visible, show the visible item.
								if ( $('#' + tabsID + ' > .sp-tab__nav-tabs-scrollable .slick-cloned.sp-tab_slide_active:not(.slick-active)').length > 0 ){
									var hash_id = $('#' + tabsID + ' > .sp-tab__nav-tabs-scrollable .slick-cloned.sp-tab_slide_active:not(.slick-active)').removeClass('sp-tab_slide_active').children('.sp-tab__nav-link').attr('for');

									$('#' + tabsID + ' > .sp-tab__nav-tabs-scrollable .slick-active label[for="'+hash_id+'"]' ).addClass('sp-tab__active').parent('.slick-active').addClass('sp-tab_slide_active');

									add_arrow_before(tabsID);
								}
							},300);

							$('#' + tabsID + '>.sp-tab__tab-content> .sp-tab__tab-pane').removeClass('sp-tab__active');
							var selector = $('#' + tabsID + ' > .sp-tab__nav-tabs-scrollable  [data-slick-index="' + nextIndex + '"]').children('.sp-tab__nav-link').attr('for');
							$(selector).addClass('sp-tab__active');
						}

						add_arrow_before(tabsID);
					});

					// Set tab Position on click of tab item.
					$(document).on('click', '#' + tabsID + ' > .sp-tab__nav-tabs-scrollable li', function () {
	
						$('#' + tabsID + ' > .sp-tab__nav-tabs-scrollable li').removeClass('sp-tab_slide_active').find('.sp-tab__nav-link').removeClass('sp-tab__active');
						$(this).addClass('sp-tab_slide_active').find('.sp-tab__nav-link').addClass('sp-tab__active');

						add_arrow_before(tabsID);
					});
				}

			}

			// Add arrow navigation arrow before tag for scrollable tab.
			function add_arrow_before(tabsID) {
				if ($('#' + tabsID + '> .sp-tab__nav-tabs-scrollable .sp-tab_slide_active + .slick-active').length > 0 ){
					if( $(document).find('#' + tabsID + '> .sp-tab__nav-tabs-scrollable .next-before').length < 1 ) {
						$('#' + tabsID + '> .sp-tab__nav-tabs-scrollable').append('<span class="next-before"></span>');
					}
				} else {
					$(document).find('#' + tabsID + '> .sp-tab__nav-tabs-scrollable .next-before').remove();
				}

				if ($('#' + tabsID + '> .sp-tab__nav-tabs-scrollable .slick-active + .sp-tab_slide_active').length > 0 ){
					if( $(document).find('#' + tabsID + '> .sp-tab__nav-tabs-scrollable .prev-before').length < 1 ) {
						$('#' + tabsID + '> .sp-tab__nav-tabs-scrollable').prepend('<span class="prev-before"></span>');
					}
				} else {
					$(document).find('#' + tabsID + '> .sp-tab__nav-tabs-scrollable .prev-before').remove();
				}
			}

			// Tabs Autoplay
			if ('tabs-activator-event-auto' == activemode) {
				// Declare a variable to hold the setInterval timer ID
				let tabInterval;

				var tabChange = function () {
					var tabs = $('#' + tabsID + ' .sp-tab__nav-tabs > li');
					var active = $(tabs).find('label.sp-tab__active').parent('li');
					// iF there is a disabled tab found
					if ($(active).next().find('label').hasClass('sp-tab__disabled')) {

						$(active).next().next().find('label').trigger('click');
					} else {

						$(active).next().find('label').trigger('click');
					}

					// iF there is no li found at the end
					if (!(active.next().length)) {
						$('#' + tabsID + ' > ul .sp-tab__nav-item:nth-of-type(1)').find('label').trigger('click');
					}
				}

				// Function to start the tab cycling
				function startTabCycling() {
					tabInterval = setInterval(tabChange, autoplaytime);
				}

				// Function to stop the tab cycling
				function stopTabCycling() {
					clearInterval(tabInterval);
				}

				// Call the startTabCycling function to begin the tab cycling initially
				startTabCycling();
				if (pause_on_hover) {
					// Add event listeners to the container element
					var tabsContainer = $('#' + tabsID);

					$(tabsContainer).on('mouseover', function () {
						stopTabCycling(); // Stop tab cycling on hover
					});

					$(tabsContainer).on('mouseout', function () {
						startTabCycling(); // Restart tab cycling when the mouse leaves
					});
				}
			}

			// Tabs On Hover
			if ('tabs-activator-event-hover' == activemode) {
				// $(document).off('click.bs.tab.data-api', '[data-hover="tab"]');
				$('#' + tabsID).on('mouseenter.sp.tab.data-api', '[data-sptoggle="tab"], [data-hover="tab"]', function () {
					$(this).sp_tab('show');
					if (tab_resize == true) {
						$(window).trigger('resize');
					}
				});
			}

			// Auto Match Height
			if (true == valignfill) {
				$(function () {
					var byRow = $('body').hasClass('sp-tab__lay-default');

					$('#' + tabsID + ' .sp-tab__tab-content').each(function () {
						$(this).children('.sp-tab__tab-pane').matchHeight({
							byRow: byRow
						});
					});
				});
			}


			// Smooth ScrollBar
			var sptproID = document.getElementById(tabsID);
			var sptproCls = sptproID.getElementsByClassName("sp-tab__tab-pane");
			var isScrollbar = $(sptproID).find('.sp-tab__tab-pane').data('scrollbar');
			var sptproCount;

			// Scrollbar init
			if (typeof isScrollbar !== 'undefined') {
				for (sptproCount = 0; sptproCount < sptproCls.length; sptproCount++) {
					Scrollbar.init(sptproCls[sptproCount]);
				}
			}

			$('#' + tabsID + ' .sp-tab__collapse').on('shown.bs.collapse', function (e) {
				var $panel = $(this).closest('.sp-tab__tab-pane');
				// if (hush_url == '1') {
				// 	window.location.hash = $(this).attr("id");
				// }

				if (animate_scroll_top) {
					$('html,body').animate({
						scrollTop: $panel.offset().top,
					}, 300);
				}

			});
			$('.sp-tab__collapse').on('hide.bs.collapse', function (e) {
				var $panel = $(this).closest('.sp-tab__tab-pane');
				$panel.find('label').removeClass('sp_tab-accordion-collapse-icon');
			})
			// $('.sp-tab__collapse').on('click', function(e) {
			// 	e.preventDefault();
			// 	var target = $(this).attr('href');
			// 	var offset = 0;
			// 	if ($(this).data('offset') != undefined) offset = $(this).data('offset');
			// 	$.scrollTo(target, 300, { offset: -offset });
			// });

			$("a[href*='#']").on('click', function () {
				var theTarget = $(this).prop("hash");
				$('#' + tabsID + ' .sp-tab__nav-tabs > li [for="' + theTarget + '"]').trigger('click');
			});

			$(function () {
				// check if there is a hash in the url
				if (window.location.hash != '') {
					$('#' + tabsID + ' .sp-tab__nav-tabs > li [for="' + window.location.hash + '"]').trigger('click');

					if ($('#' + tabsID).hasClass('sp-tab__default-accordion')) {
						$(window.location.hash + '.sp-tab__collapse').collapse('show');
					}
				}
			});

			// Accessibility check .
			var $tabs = $('#' + tabsID + ' .sp-tab__nav-item');
			var $panels = $('#' + tabsID + ' .sp-tab__tab-pane');
			var $key_control = $('#' + tabsID + ' .sp-tab__nav-item, #' + tabsID + ' .sp-tab__tab-pane');
			$('label', $tabs).on('click', function (e) {
				e.preventDefault();
				// Add hash url
				if (hush_url == '1') {
					// window.location.hash = $(this).attr('for');
					var test = $(this).attr('for');
					history.replaceState(undefined, undefined, test)
				}
			});
			$tabs.on('click', 'label', function (e) {
				e.preventDefault();
				var id = $(this).attr('for');
				if (tab_resize == true) {
					$(window).trigger('resize');
				}
				// Dynamically TabIndex and aria-selected add for Finding the currently visible tab and panel and hide them
				$tabs.find('[aria-selected="true"]').attr({
					'aria-selected': false,
					'tabindex': -1
				});
				$(this).attr({
					'aria-selected': true,
					'tabindex': 0
				});

				$panels.filter('[aria-hidden="false"]').attr({
					'aria-hidden': true,
					'tabindex': -1
				});
				$(id).attr({
					'aria-hidden': false, 'tabindex': 0
				});
			});

			// Tab control with left right key for accessibility
			$key_control.on('keydown', function (e) {

				switch (e.keyCode) {
					case 39: // Right
						$tabs.find('[aria-selected="true"]').parents('li').next().children('label').click().focus();
						break;
					case 37: // Left
						$tabs.find('[aria-selected="true"]').parents('li').prev().children('label').click().focus();
						break;
				}
			});
			$('#' + tabsID + ' iframe:not(.wp-tab-iframe,.skip,[src*="omny.fm/"])').each(function (i) {
				let max_width = $(this).attr('width') > 100 ? 'max-width:' + $(this).attr('width') + 'px' : '';
				$(this).addClass('wp-tab-iframe').wrap("<div class='" + tabsID + "_" + i + " ' style='" + max_width + "'></div>").wrap("<div class='wp-tab-iframe-container'></div>");
			})

			var small_screen_type = $('#' + tabsID + ' .sp-tab__nav-tabs').data('small-screen-type');
			var small_screen_size = $('#' + tabsID + ' .sp-tab__nav-tabs').data('screen-size');
			if ('accordion_mode' === small_screen_type && $(window).width() < small_screen_size) {
				$('#' + tabsID + ' .sp-tab__card .sp-tab__card-header').css("display", "block");
			}
		});

		// Add class for gutenberg block.
		$('.sp-tab__lay-default').addClass('sp-tab__lay-default-loaded');
	});
})(jQuery);