<?php
/**
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://shapedplugin.com/
 * @package           WP_Tabs_Pro
 *
 * Plugin Name:       WP Tabs Pro
 * Plugin URI:        https://wptabs.com/
 * Description:       WP Tabs Pro is a user-friendly, highly customizable, responsive WordPress tabs plugin to display any content including HTML markup, images, video, forms, maps, image slider and galleries in a clean organized tabbed navigation.
 * Version:           2.2.1
 * Author:            ShapedPlugin
 * Author URI:        https://shapedplugin.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       wp-tabs-pro
 * Domain Path:       /languages
 * WC requires at least: 5.0
 * WC tested up to: 8.5.2
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Define constants
 *
 * @since 1.0.0
 */
define( 'WP_TABS_PRO_FILE', __FILE__ );
define( 'WP_TABS_PRO_VERSION', '2.2.1' );
define( 'WP_TABS_PRO_ITEM_NAME', 'WP Tabs Pro' );
define( 'WP_TABS_PRO_ITEM_SLUG', 'wp-tabs-pro' );
define( 'WP_TABS_PRO_ITEM_ID', 565 );
define( 'WP_TABS_PRO_STORE_URL', 'https://shapedplugin.com' );
define( 'WP_TABS_PRO_PRODUCT_URL', 'https://wptabs.com/' );
define( 'WP_TABS_PRO_BASENAME', plugin_basename( __FILE__ ) );
define( 'WP_TABS_PRO_PATH', plugin_dir_path( __FILE__ ) );
define( 'WP_TABS_PRO_URL', plugin_dir_url( __FILE__ ) );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wp-tabs-pro.php';

/**
 * Require all metabox file.
 */
require_once WP_TABS_PRO_PATH . '/admin/partials/models/classes/setup.class.php';
require_once WP_TABS_PRO_PATH . '/admin/partials/metabox-config.php';
require_once WP_TABS_PRO_PATH . '/admin/partials/option-config.php';
require_once WP_TABS_PRO_PATH . '/admin/partials/tools-config.php';

if ( ! function_exists( 'activate_wp_tabs_pro' ) ) {
	/**
	 * The code that runs during plugin activation.
	 * This action is documented in includes/Plugin_Activator.php
	 */
	function activate_wp_tabs_pro() {
		deactivate_plugins( 'wp-expand-tabs-free/plugin-main.php' );
	}
	register_activation_hook( __FILE__, 'activate_wp_tabs_pro' );
}


/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    2.0.0
 */
function run_wp_tabs_pro() {

	$plugin = new SP_WP_Tabs_Pro();
	$plugin->run();
}
run_wp_tabs_pro();
